Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Class RegexTranslator

    java.lang.Object
      net.sf.saxon.regex.RegexTranslator

Direct Known Subclasses:
  JDK15RegexTranslator, SurrogateRegexTranslator

    public abstract class RegexTranslator

extends Object

Abstract superclass for the various regex translators, which differ according to the target platform.

Nested Class Summary
`static class` | `RegexTranslator.Range`

Field Summary
`static int` | `ALL`
`static int` | `NONE`
`static String` | `NOT_ALLOWED_CLASS`
`static int` | `SOME`
`static String` | `SURROGATES1_CLASS`
`static String` | `SURROGATES2_CLASS`

Constructor Summary
`RegexTranslator()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### SOME

    public static final int SOME

See Also:
  Constant Field Values

### ALL

    public static final int ALL

See Also:
  Constant Field Values

### SURROGATES1_CLASS

    public static final String SURROGATES1_CLASS

See Also:
  Constant Field Values

### SURROGATES2_CLASS

    public static final String SURROGATES2_CLASS

See Also:
  Constant Field Values

### NOT_ALLOWED_CLASS

    public static final String NOT_ALLOWED_CLASS

See Also:
  Constant Field Values

Constructor Detail

### RegexTranslator

    public RegexTranslator()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.